Get the form theme
curl --request GET \
--url https://formhug.ai/api/v1/forms/{form_token}/theme \
--header 'Authorization: Bearer <token>'import requests
url = "https://formhug.ai/api/v1/forms/{form_token}/theme"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://formhug.ai/api/v1/forms/{form_token}/theme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"header": {
"images": [
{
"url": "<string>",
"id": "<string>"
}
]
},
"wallpaper": {
"color": "<string>",
"image": {
"url": "<string>",
"id": "<string>"
}
},
"primary_color": "<string>",
"submit_button": {
"style": {
"background_color": "<string>",
"color": "<string>"
}
},
"typography": {
"form_header": {
"font_size": "14px",
"color": "<string>",
"font_weight": "bold",
"text_align": "left"
},
"field_label": {
"font_size": "14px",
"color": "<string>",
"font_weight": "bold"
},
"choice_style": {
"font_size": "14px",
"color": "<string>",
"font_weight": "bold"
}
},
"general_button": {
"font_size": "14px",
"color": "<string>",
"font_weight": "bold",
"border_color": "<string>",
"border_width": "0px"
},
"form_container": {
"style": {
"background_color": "<string>"
}
}
}
}{
"error": "Insufficient scope"
}{
"error": "Form not found"
}Form Themes
Get the form theme
Required scope: form:read.
GET
/
api
/
v1
/
forms
/
{form_token}
/
theme
Get the form theme
Authorizations
Personal Access Token prefixed with fh_. Sent as Authorization: Bearer fh_xxx.
The scope required by each endpoint is listed in that endpoint's description.
Path Parameters
Form token
Response
Readable by a non-manager collaborator
Show child attributes
Show child attributes
Last modified on July 24, 2026
Was this page helpful?
⌘I